### Function

# FwupdPlugin coswid_read_tag

since: 1.9.17

#### Declaration [src]

    gboolean
    fu_coswid_read_tag (
      FuCborItem* item,
      FuCoswidTag* value,
      GError** error
    )

#### Description [src]

Reads a tag value.

Available since: 1.9.17

#### Parameters

`item`

  Type: `FuCborItem`

  A `FuCborItem`.

  The data is owned by the caller of the function.

`value`

  Type: `FuCoswidTag`

  Read value.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.